defmodule OpenTelemetry.SemConv.Incubating.AzureAttributes do
  # This is an auto-generated file
  @moduledoc """
  OpenTelemetry Semantic Conventions for Azure attributes.
  """

  @doc """
  The unique identifier of the service request. It's generated by the Azure service and returned with the response.
  ### Value type

  Value must be of type `atom() | String.t()`.
  ### Examples

  ```
  ["00000000-0000-0000-0000-000000000000"]
  ```

  <!-- tabs-open -->

  ### Elixir

      iex> OpenTelemetry.SemConv.Incubating.AzureAttributes.az_service_request_id()
      :"az.service_request_id"

  ### Erlang

  ```erlang
  ?AZ_SERVICE_REQUEST_ID.
  'az.service_request_id'
  ```

  <!-- tabs-close -->
  """
  @spec az_service_request_id :: :"az.service_request_id"
  def az_service_request_id do
    :"az.service_request_id"
  end
end
